summaryrefslogtreecommitdiffstats
path: root/scripts/create-pull-request
diff options
context:
space:
mode:
authorNitin A Kamble <nitin.a.kamble@intel.com>2012-12-11 09:28:03 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-12-13 14:28:40 +0000
commit3e35310db3cd6d265092724a0e542b9616aca9c5 (patch)
treee3924fa60e73eecf93773bafe317e0629f4b547c /scripts/create-pull-request
parent72087d2cbdcc0da66b38720769d8ad52dbfb4abc (diff)
downloadopenembedded-core-contrib-3e35310db3cd6d265092724a0e542b9616aca9c5.tar.gz
openembedded-core-contrib-3e35310db3cd6d265092724a0e542b9616aca9c5.tar.bz2
openembedded-core-contrib-3e35310db3cd6d265092724a0e542b9616aca9c5.zip
create-pull-request: detect trailing white space
Add logic in the create-pull-request to detect and warn about the trailing white space inserted by patches. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'scripts/create-pull-request')
-rwxr-xr-xscripts/create-pull-request8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/create-pull-request b/scripts/create-pull-request
index 9a8913db72..9692bf1665 100755
--- a/scripts/create-pull-request
+++ b/scripts/create-pull-request
@@ -229,3 +229,11 @@ Review their content, especially the summary mail:
When you are satisfied, you can send them with:
send-pull-request -a -p $ODIR
EOM
+
+# Check the patches for trailing white space
+egrep -q -e "^\+.*\s+$" $ODIR/*
+if [ $? -ne 1 ]; then
+ echo
+ echo "WARNING: Trailing white space detected at these locations"
+ egrep -nH --color -e "^\+.*\s+$" $ODIR/*
+fi